# getXChainClaimID | xrpl
Documentation for xrpl

# Function getXChainClaimID

- getXChainClaimID(meta): string | undefined

- Gets the XChainClaimID value from the metadata of an `XChainCreateClaimID` transaction.

  #### Parameters

  - ##### meta: undefined | string | TransactionMetadata

    Metadata from the response to submitting and waiting for an XChainCreateClaimID transaction or from a `tx` method call.

  #### Returns string | undefined

  The XChainClaimID for the minted NFT.

  #### Throws

  if meta is not TransactionMetadata.

  - Defined in packages/xrpl/src/utils/getXChainClaimID.ts:33

Generated using TypeDoc